/**
 * 序号：1
 * 功能：定义分页(EasyUI)
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：无需更改
 **/
var ls_width = $(window).width();
var ls_height = $(window).height();

var local_page=1;
var rows=20;
var listPageSize = [10,20,50,100,500,1000];
var queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
var tab_n = 0;

//重置分页参数
function resetQueryData(){
	queryData = "";
	queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
}
//

/****/

/**
 * 序号：2
 * 功能：构建下拉框内容
 * 参数：
 * 说明：方便新增、修改页面里的下拉选项加载数据
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载是否激活下拉框


/****/

/**
 * 序号：3
 * 功能：构建主页面列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//定义grid列表
$('#list').datagrid({
   title:"缓存信息",
   iconCls:$.getJwWindowPic(),
   url:'systemdata_listSysCache',
   queryParams : queryData,//查询参数
   rownumbers : true,//显示索引号
   singleSelect : false,//是否多选
   fitColumns : false,//是否撑满
   autoRowHeight : 30,//设定高度
   pagination : true,//分页显示
   pageSize : rows,//显示行数
   pageList : listPageSize,//条数选择
   striped : true, //是否隔行显示
   remoteSort : false,//是否从服务器排序
   frozenColumns : [[
			{
				field : 'ck',
				checkbox : true
			},
			{
				field : 'option',
				title : '操作',
				width : 80,
				align : 'center',
				formatter : formatMenu
			}
			       ]],
   columns:[[
            {
				field : 'NAME',
				title : '名称',
				width : 80,
				align : 'center'
			}, {
				field : 'SIZE',
				title : '数量',
				width : 60,
				align : 'center'
			}, {
				field : 'STATUS',
				title : '状态',
				width : 100,
				align : 'center'
			},{
				field : 'MAXELEMENTS',
				title : '最大缓存',
				width : 80,
				align : 'center'
			}, {
				field : 'ETERNAL',
				title : '永久有效',
				width : 80,
				align : 'center'
			}, {
				field : 'TIMETOIDLESECONDS',
				title : '闲置时间(秒)',
				width : 80,
				align : 'center'
			},{
				field : 'TIMETOLIVESECONDS',
				title : '存活时间(秒)',
				width : 80,
				align : 'center'
			}, {
				field : 'OVERFLOWTODISK',
				title : '可写磁盘',
				width : 80,
				align : 'center'
			}, {
				field : 'MAXELEMENTSONDISK',
				title : '硬盘最大个数',
				width : 80,
				align : 'center'
			},{
				field : 'DISKPERSISTENT',
				title : '持续存在',
				width : 80,
				align : 'center'
			}, {
				field : 'DISKEXPIRYTHREADINTERVALSECONDS',
				title : '磁盘失效间隔',
				width : 80,
				align : 'center'
			},{
				field : 'MEMORYSTOREEVICTIONPOLICY',
				title : '清理策略',
				width : 80,
				align : 'center'
			}, {
				field : 'CACHETYPE',
				title : '缓存类型',
				width : 80,
				align : 'center'
			}
			]],
			toolbar : '#tb',
			onLoadSuccess : function() {
				createOptionMenuTooltip();
			}
	});
	/****/

	/**
	 * 序号：4
	 * 功能：设置主页面操作列菜单
	 * 参数：
	 * 说明：
	 * 作者：高伟杰
	 * 时间：2016-01-22
	 * 单位：宁波金网
	 * 备注：需更改
	 **/
	//操用列显示更多(一般情况下无需更改)
	function formatMenu(value, data,index) {
		var returnData="";
		return  returnData
		      + "<span class=\"icon-ext-moremenu\" style=\"padding-left:20px;*width:20px;\"></span>"
		      + "<span data-p1="+index+" class=\"easyui-tooltip\" style=\"color:blue;cursor:pointer;\">更多</span>";
	}
	//菜单更多上浮横向菜单集(无需更改)
	function createOptionMenuTooltip() {
		$('#list').datagrid('getPanel').find('.easyui-tooltip').each(
				function() {
					var index = parseInt($(this).attr('data-p1'));
					$(this).tooltip({
						content : $('<div></div>'),
						onUpdate : function(cc) {
							var row = $('#list').datagrid('getRows')[index];
							var content = getOptionMenu(row,index);
							var mCount = getOptionMenuCount();
							cc.css("border","0").panel({
								width : (70 * mCount),
								content : content
							});
						},
						position : 'right',
						deltaX : -20,
						onShow : function() {
							var t = $(this);
							t.tooltip('tip').css( {
								backgroundColor : '#ffffff'
									}).unbind().bind('mouseenter', function() {
								t.tooltip('show');
							}).bind('mouseleave', function() {
								t.tooltip('hide');
							});
						}
					});
				});
	}

	//上浮横向菜单集里的具体菜单项(需更改)
	function getOptionMenu(data,index){
		var returnData= "<span class=\"icon-edit\" style=\"padding-left:20px;*width:20px;vertical-align:middle;height:20px;\"></span><a href=\"javascript:void(0);\" style=\"text-decoration:none;\" onclick=\"editRow('"
			          + index 
			          + "')\">明细编辑</a>";
		return returnData;
	}

	//返回菜单集的菜单个数(需更改)
	function getOptionMenuCount(){
		var is_menu_count = 1;
		return is_menu_count;
	}
	/****/

	/**
	 * 序号：5
	 * 功能：新增修改弹出
	 * 参数：
	 * 说明：
	 * 作者：高伟杰
	 * 时间：2016-01-22
	 * 单位：宁波金网
	 * 备注：需更改
	 **/
	//加载增加子页面
	

	//加载修改子页面
	function editRow(index) {
		$('#list').datagrid('selectRow',index);
		var is_row = $('#list').datagrid('getSelections');
		$('#list').datagrid('clearSelections');
		is_row[0].OPETYPE = 'update';
		var is_cache_name = is_row[0].NAME;
		window.location = 'system_cacheKeyTab?cacheName='+is_cache_name;
	}
	//弹出层返回按扭
	function closeBox(Box_id) {
//		if(Box_id==null||Box_id==''||Box_id==undefined)
//			Box_id='detail';
//		$('#'+Box_id).dialog('close');
	}
	//弹出层保存按扭
	function saveBox(Box_id,List_id) {
//		if(Box_id==null||Box_id==''||Box_id==undefined)
//			Box_id='detail';
//		if(List_id==null||List_id==''||List_id==undefined)
//			List_id='list';
//		var returnIsValid = $('#inputForm').form('validate');
//		if (returnIsValid) {
//			//$("#inputForm").submit();
//			var query = $("#inputForm").getFormVal();
//			var v_result;
//			if ($('#OPETYPE').val() == null || $('#OPETYPE').val() == undefined
//					|| $('#OPETYPE').val() == '' || $('#OPETYPE').val()=='insert')
//				v_result = jwAppCommonModel.jwAppsCommonActAction.insertSysModuletype(query);
//			else
//				v_result = jwAppCommonModel.jwAppsCommonActAction.updateSysModuletype(query);
//			if (v_result != null && v_result != undefined) {
//				closeBox(Box_id);
//				$.messager.alert('提示', v_result.VALUE);
//				$('#'+List_id).datagrid('reload');
//			}
//		}
	}
	/****/

	/**
	 * 序号：6
	 * 功能：单个删除
	 * 参数：
	 * 说明：
	 * 作者：高伟杰
	 * 时间：2016-01-22
	 * 单位：宁波金网
	 * 备注：需更改
	 **/
	function deleteRow(index){
		
	}
	/****/

	/**
	 * 序号：7
	 * 功能：批量删除
	 * 参数：
	 * 说明：
	 * 作者：高伟杰
	 * 时间：2016-01-22
	 * 单位：宁波金网
	 * 备注：需更改
	 **/
	function deleteBatchRow(){
		
	}
	/****/

	/**
	 * 序号：8
	 * 功能：刷新
	 * 参数：
	 * 说明：
	 * 作者：高伟杰
	 * 时间：2016-01-22
	 * 单位：宁波金网
	 * 备注：需更改
	 **/
	function refreshRow(){
		$('#list').datagrid('load',queryData);
//		$("#moduletypetab_searchForm")[0].reset();
	}
	/****/

	/**
	 * 序号：9
	 * 功能：查询
	 * 参数：
	 * 说明：
	 * 作者：高伟杰
	 * 时间：2016-01-22
	 * 单位：宁波金网
	 * 备注：需更改
	 **/
	function searchRow(){
//		var v_query = $("#moduletypetab_searchForm").getFormVal();
//		$('#list').datagrid('load',v_query);
	}
	/****/